WordPress.org

Forums

Video.js - HTML5 Video Player for WordPress
Please make the shortcode optional (4 posts)

  1. rubious
    Member
    Posted 1 year ago #

    I'm using Advanced Custom Fields to manage the content of my pages and posts, not the default post content editor. This means that if I use the shortcode for videos in a non-standard post content, or if I create my own custom field that outputs the shortcode, your plugin does not run on that page because of line 30 of video-js.php, which checks for the shortcode.

    I've commented out that code but it will be replaced again next time the plugin updates, could you make this optional? Put an option in the settings for 'advanced' usage or something that lets us use it in a custom field.

    Thanks
    Shaun

    http://wordpress.org/plugins/videojs-html5-video-player-for-wordpress/

  2. smallblockzach
    Member
    Posted 1 year ago #

    Another vote for this, I'm in the same situation of using custom fields.

    Will find a workaround, but the option to always include the other bits would be nice.

    Thanks as well for all the work.

  3. Dustin Lammiman
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for letting me know about this bug, I'll definitely keep this in mind for the next version!

  4. Dustin Lammiman
    Member
    Plugin Author

    Posted 1 year ago #

    I'm looking for a solution to this issue for the next update - if you want to have input into how we solve this, please see this issue on github: https://github.com/zencoder/video-js-for-wordpress/issues/3

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Video.js - HTML5 Video Player for WordPress
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic